docs

# CreateChatInviteLink

interface CreateChatInviteLink < R : SecondaryChatInviteLink > : EditChatInviteLinkRequest < R >
Content copied to clipboard

## Types

Companion
Link copied to clipboard
object Companion
Content copied to clipboard

## Functions

method
Link copied to clipboard
open override fun method (): String
Content copied to clipboard

## Properties

chatId
Link copied to clipboard
abstract val chatId : ChatIdentifier
Content copied to clipboard
expirationUnixTimeStamp
Link copied to clipboard
abstract val expirationUnixTimeStamp : TelegramDate ?
Content copied to clipboard
expireDate
Link copied to clipboard
open override val expireDate : DateTime?
Content copied to clipboard
name
Link copied to clipboard
abstract val name : String ?
Content copied to clipboard
requestSerializer
Link copied to clipboard
abstract val requestSerializer : SerializationStrategy<*>
Content copied to clipboard
resultDeserializer
Link copied to clipboard
abstract val resultDeserializer : DeserializationStrategy< R >
Content copied to clipboard

## Inheritors

CreateChatInviteLinkUnlimited
Link copied to clipboard
CreateChatInviteLinkWithLimitedMembers
Link copied to clipboard
CreateChatInviteLinkWithJoinRequest
Link copied to clipboard